//
//  RandomWalk.java
//  RandomWalk
//
//  Created by Don Slater on Sat Dec 14 2002.
//  Copyright (c) 2002 __Carnegie Mellon University__. All rights reserved.
//

package kareltherobot;

public class RandomWalk	implements Directions {
   
        public static void main(String args[]) {
    
                int startPos = 5;
                int numRobots = 10;
                int numSteps = 15;
	
		Robot [] list = new Robot[numRobots];
                
                for (int i = 0; i < numRobots; i++) {
                
                    list[i] = new Walker(startPos, startPos, East, 0);
                    startPos++;
                }
                
                for (int i = 0; i < numSteps; i++) {
                
                    for (int j = 0; j < numRobots; j++) {
                        list[j].move();
                    }
                }
		
	}

	static  {
                //World.readWorld("bigbeeperbox.txt");
		World.setVisible(true);
		World.setSize(20, 20);
		World.setTrace(false);
                World.setDelay(25);
	}

}
