//
//  HurdleRacer.java
//  Sprinter
//
//  Created by Don Slater on Sun Dec 15 2002.
//  Copyright (c) 2002 __Carnegie Mellon University__. All rights reserved.
//

package kareltherobot; 

public abstract class HurdleRobot extends RacerRobot {

    public HurdleRobot(int str, int ave, Directions.Direction dir, int count) {
    
        super(str, ave, dir, count);
    }
    
    public void raceStride() {
    
        if (frontIsClear()) {
            move();
        } else {
           up();
           over();
           down();
        }
    }
    
    public abstract void up();
    public abstract void over();
    public abstract void down();

}
