 package kareltherobot;

import java.util.*;

public class BetterRobot extends Robot {


	public BetterRobot(int str, int ave, Directions.Direction dir, int howMany) {
	
		super(str, ave, dir, howMany);
	}
	
	public void turnRight() {
	
		turnLeft();
		turnLeft();
		turnLeft();
	}
	
	public void turnAround() {
	
		turnLeft();
		turnLeft();
	}
	
	public void backup() {
	
		turnAround();
		move();
		turnAround();
	}
	
	public boolean leftIsBlocked() {
	
		turnLeft();
		if (frontIsClear()) {
			turnRight();
			return false;
		} else {
			turnRight();
			return true;
		}
	}
	
	public boolean rightIsBlocked() {
	
		turnRight();
		if (frontIsClear()) {
			turnLeft();
			return false;
		} else {
			turnLeft();
			return true;
		}
	}
	
	public void move(int steps) {
	
		for (int i = 0; i < steps; i++) {
		
			move();
		}
	}
	
	public void findWall() {
	
		while (frontIsClear()) {
		
			move();
		}
	}
	
	public void pickAllBeepers() {
	
		while (nextToABeeper()) {
		
			pickBeeper();
		}
	}
	
	public void putDownAllBeepers() {
	
		while (anyBeepersInBeeperBag()) {
		
			putBeeper();
		}
	}
	
	public void faceNorth() {
	
		while (! facingNorth()) {
			turnLeft();
		}
	}

	public void faceSouth() {
	
		while (! facingSouth()) {
			turnLeft();
		}
	}
	public void faceEast() {
	
		while (! facingEast()) {
			turnLeft();
		}
	}
	public void faceWest() {
	
		while (! facingWest()) {
			turnLeft();
		}
	}
}