/** 
 * Application.java
 *
 * Title: RobotDemo2			
 * Description:	A basic Robot program in which the robot moves two blocks
 *				in front of its starting position. To be used to illustrate
 *				syntax errors, semantic errors, and logig errors
 *
 * @author Don Slater			
 * @date 1/8/2003			
 */

package kareltherobot;

public class Application implements Directions {

	// Main entry point
	static public void main(String[] args) {

		Robot Karel = new Robot(2, 2, East, infinity);
		Karel.move();
		Karel.move();
		
		Karel.turnOff();

		System.exit(0);
	}
	
	static {
		
		World.readWorld("demo2.txt");
		World.setVisible(true);
		World.setDelay(50);
		World.setTrace(true);
	}
	
}