/** 
 * Application.java
 *
 * Title:			Stair Climbing Demo
 * Description:		The robot will "climb" a series of three stairs,
 *					picking up a beeper on each stair.
 *
 * @author			Don Slater
 * @date			1/08/2003
 */

package kareltherobot;

public class Application implements Directions {

	
	// Main entry point
	static public void main(String[] args) {
	
		StairClimber Karel = new StairClimber(1, 1, East, 0);
		
		Karel.climbStair();
		Karel.pickBeeper();
		Karel.climbStair();
		Karel.pickBeeper();
		Karel.climbStair();
		Karel.pickBeeper();

		Karel.turnOff();
	}
	
	static {
	
		World.readWorld("stairs.txt");
		World.setVisible(true);
		World.setDelay(25);
		World.setTrace(true);
	
	}
}
