//
//  RandomWalk.java
//  RandomWalk
//
//  Created by Don Slater on Sat Dec 14 2002.
//  Copyright (c) 2002 __Carnegie Mellon University__. All rights reserved.
//

package kareltherobot;

public class RandomWalk	implements Directions {
   
        public static void main(String args[]) {
    
                int startAve = 11;
                int startStr = 10;
	
		Walker Karel = new Walker(startStr, startAve, East, 1);

		Karel.putBeeper();
		
		for (int i = 0; i < 50; i++) {
			Karel.move();
		}

		System.out.println(Karel);
		System.out.println("Distance from starting point: " + Karel.getDistance());
		System.out.println("Number of steps taken by the robot: " + Karel.getNumSteps());
		System.out.println();
		Karel.turnOff();
	}

	static  {
                World.readWorld("smallbox.txt");
		World.setVisible(true);
		World.setSize(20, 20);
		World.setTrace(false);
                World.setDelay(25);
	}

}
