//
//  RandomWalk.java
//  RandomWalk
//
//  Created by Don Slater on Sat Dec 14 2002.
//  Copyright (c) 2002 __Carnegie Mellon University__. All rights reserved.
//

package kareltherobot;

public class RandomWalk	implements Directions {
   
        public static void main(String args[]) {
    
                int str = 10;
                int ave = 11;
	
		Walker Karel = new Walker(str, ave, East, 0);

		
		while (! Karel.nextToABeeper()) {
                    Karel.move();
                }

		System.out.println(Karel);
		System.out.println("Distance from starting point: " + Karel.getDistance());
		System.out.println("Number of steps taken: " + Karel.getNumSteps());
		System.out.println();
		Karel.turnOff();
	}

	static  {
                World.readWorld("smallBeeperBox.txt");
		World.setSize(20, 20);
		World.setTrace(false);
		World.setVisible(true);
                World.setDelay(10);
	}

}
