//
//  RobotProject.java
//  RobotProject
//
//  Created by Don Slater on Thu Dec 19 2002.
//  Copyright (c) 2002 __Carnegie Mellon University__. All rights reserved.
//

package kareltherobot; 

public class RobotProject 
                      implements  Directions {


    static public void main(String[] args){
	
        RacerRobot[] list = new RacerRobot[4];
        int course = 35;
        
        list[0] = new TurtleRobot(1, 2, North, 0);
        list[1] = new CoinFlipper(1, 4, North, 0);
        list[2] = new HareRobot(1, 6, North, 0);
        list[3] = new TurtleRobot(1, 8, North, 0);
        
        // have any of the robots reached the finish line yet?
        while (! (list[0].finished() || list[1].finished() || 
                    list[2].finished() || list[3].finished())) 
        {
                // have each of the robots execute a race stride
                for (int i = 0; i < list.length; i++) {
                        list[i].raceStride();
                }
        }
    }

    static  {
        World.readWorld("RaceCourse.txt");
        World.setVisible(true);
        World.setSize(40, 10);
        World.setDelay(10);
        World.setTrace(false);
    }

}
