/** 
 * Application.java
 *
 * Title: RobotDemo1		
 * Description:	a robot picks up a beeper in its front, and carries
 *				it to a position one more block in front of it, and two
 *				blocks to its left. It puts it down, and moves one more
 *				block.
 * @author Don Slater			
 * @date 1/8/2003			
 */

package kareltherobot;

public class Application implements Directions {

	
	// Main entry point
	static public void main(String[] args) {
		Robot Karel = new Robot(1, 2, East, infinity);
		
		Karel.move();
		Karel.move();
		Karel.pickBeeper();
		Karel.move();
		Karel.turnLeft();
		Karel.move();
		Karel.move();
		Karel.putBeeper();
		Karel.move();
		
		Karel.turnOff();
	}
	
	static {
	
		World.readWorld("demo1.txt");
		World.setVisible(true);
		World.setTrace(true);
		World.setDelay(50);
	}
	
}
