//
//  BetterRobot.java
//  Sprinter
//
//  Created by Don Slater on Sun Dec 15 2002.
//  Copyright (c) 2002 __Carnegie Mellon University__. All rights reserved.
//

package kareltherobot;

public class BetterRobot extends Robot {

    public BetterRobot(int str, int ave, Directions.Direction dir, int count) {
    
        super(str, ave, dir, count);
    }
    

    /**
    *	moves the robot in the specified number of steps in the direction it is facing
    *  will generate a runtime error if there is a wall between the start position and
    *  the final position
    *
    *	@param int numSteps - the number of steps the robot is to be moved
    */
    public void move(int numSteps) {
    
    }


    /**
    *	robot rotates 90 degrees clockwise from current diection
    *	position is unchanged, number of beepers carried is unchanged
    *	number of beepers the robot may be next to is unchanges
    */
    public void turnRight() {
    
    }
    
    /**
    *	robot rotates 180 degrees from current direction
    *	position is unchanged, number of beepers carried is unchanged
    *	number of beepers the robot may be next to is unchanged
    */
    public void turnAround() {
        
    }
    
    /**
    *	robot rotates has moved backward one step from its previous position
    *	direction is unchanged, number of beepers carried is unchanged
    *	number of beepers the robot may be next to is unchanges
    */
    public void backup() {
    
    }
    
    /**
    *	robot determines if there is a wall immediately to its left
    *	position is unchanged, number of beepers carried is unchanged
    *	direction is unchanged, number of beepers the robot may be next to is unchanged
    *
    *	@return true if there is a wall on the left, false otherwise
    */
    public boolean leftIsBlocked() {
    
    	return false;
    }
    

    /**
    *	robot moves forward as long as there is a wall on the left
    *	number of beepers carried is unchanged
    *	direction is unchanged
    */
    public void followWallLeft() {
    
     }

    /**
    *	robot determines if there is a wall immediately to its right
    *	position is unchanged, number of beepers carried is unchanged
    *	direction is unchanged, number of beepers the robot may be next to is unchanged
    *
    *	@return true if there is a wall on the right, false otherwise
    */
    public boolean rightIsBlocked() {
    
    	return false;
    }
    
    /**
    *	robot moves forward as long as there is a wall on the right
    *	number of beepers carried is unchanged
    *	direction is unchanged
    */
    public void followWallRight() {
    
    }
    
    /**
    *	robot moves forward as long as there is no wall until there path is blocked
    *	by a wall; number of beepers carried is unchanged
    *	direction is unchanged
    */
    public void findWall() {
    
    }
    
    
    /**
    *	robot rotates from current direction until it is facing North
    *	position is unchanged, number of beepers carried is unchanged
    *	number of beepers the robot may be next to is unchanged
    */
    public void faceNorth() {
    
    }

    /**
    *	robot rotates from current direction until it is facing South
    *	position is unchanged, number of beepers carried is unchanged
    *	number of beepers the robot may be next to is unchanged
    */
    public void faceSouth() {
    
    }

    /**
    *	robot rotates from current direction until it is facing East
    *	position is unchanged, number of beepers carried is unchanged
    *	number of beepers the robot may be next to is unchanged
    */
    public void faceEast() {
    
    	while (! facingEast() ) {
    		turnLeft();
    	}
    }

    /**
    *	robot rotates from current direction until it is facing West
    *	position is unchanged, number of beepers carried is unchanged
    *	number of beepers the robot may be next to is unchanged
    */
    public void faceWest() {
    
    	while (!facingWest()) {
    		turnLeft();
    	}
    }

}
